# FoundationClasses
TKMath
TopLoc

# TopLoc_IndexedMapNodeOfIndexedMapOfLocation Class Reference

`#include <TopLoc_IndexedMapNodeOfIndexedMapOfLocation.hxx>`

Inheritance diagram for TopLoc_IndexedMapNodeOfIndexedMapOfLocation:

[legend]

## Public Member Functions

| TopLoc_IndexedMapNodeOfIndexedMapOfLocation (const TopLoc_Location &K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
TopLoc_Location & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopLoc_Location | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TopLoc_IndexedMapNodeOfIndexedMapOfLocation::TopLoc_IndexedMapNodeOfIndexedMapOfLocation | ( | const TopLoc_Location & | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TopLoc_IndexedMapNodeOfIndexedMapOfLocation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

TopLoc_Location& TopLoc_IndexedMapNodeOfIndexedMapOfLocation::Key1 | ( |  | ) | const

Standard_Integer& TopLoc_IndexedMapNodeOfIndexedMapOfLocation::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TopLoc_IndexedMapNodeOfIndexedMapOfLocation::Next2 | ( |  | ) | const

## Field Documentation

TopLoc_Location TopLoc_IndexedMapNodeOfIndexedMapOfLocation::myKey1 `[private]`

Standard_Integer TopLoc_IndexedMapNodeOfIndexedMapOfLocation::myKey2 `[private]`

TCollection_MapNodePtr TopLoc_IndexedMapNodeOfIndexedMapOfLocation::myNext2 `[private]`

The documentation for this class was generated from the following file:

- TopLoc_IndexedMapNodeOfIndexedMapOfLocation.hxx